Mailinglist Archive: opensuse-factory (468 mails)

< Previous Next >
Re: [opensuse-factory] Re: Updates on Tumbleweed with proprietary nvidia drivers installed could be more reliable I guess
  • From: Markus Koßmann <mkossmann_ml1@xxxxxx>
  • Date: Mon, 13 Apr 2020 19:12:52 +0200
  • Message-id: <2482762.TJtGJg2xoK@linux-2kgy>
Am Montag, 13. April 2020, 15:32:10 CEST schrieb Cristian Rodríguez:
On Tue, Apr 7, 2020 at 9:32 AM Stasiek Michalski <hellcp@xxxxxxxxxxxx>
wrote:
On Tue, Apr 7, 2020 at 09:05, Raphael Lydia Bertoche

<bertocheraphael@xxxxxxxxx> wrote:
What do you think?

I do think nvidia package should hardcode the max minor kernel version

That won't work .. kernel_version != kernel_abi !! it is the latter
you are concerned with.
Yes, but you can expect that there is no kernel abi change without kernel
version change at least in minor version.
So the idea could be:
Now were are kernel-5.6, current nvidia driver is 440.80
So include a conflict with kernel-5.7 into the current nvidia driver.
Once it's known that current nvidia driver has no problems with kernel-5.7
abi, update the nvidia driver to conflict with kernel-5.8.
So silent updates to a kernel-abi, which breaks nvidia could be avoided, for
non users of the nvidia driver there is no change



--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >